#
# spec file for package python-pytest-json-report
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
Name:           python-pytest-json-report
Version:        1.5.0
Release:        2.1
Summary:        A pytest plugin to report test results as JSON files
License:        MIT
URL:            https://github.com/numirias/pytest-json-report
Source:         https://files.pythonhosted.org/packages/source/p/pytest-json-report/pytest-json-report-%{version}.tar.gz
# PATCH-FIX-UPSTREAM pytest-metadata-3.patch gh#numirias/pytest-json-report#90
Patch0:         pytest-metadata-3.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module py}
BuildRequires:  %{python_module flaky}
BuildRequires:  %{python_module pytest-metadata}
BuildRequires:  %{python_module pytest-xdist}
BuildRequires:  %{python_module pytest}
# /SECTION
BuildRequires:  fdupes
Requires:       python-py
Requires:       python-pytest
Requires:       python-pytest-metadata
BuildArch:      noarch
%python_subpackages

%description
A pytest plugin to report test results as JSON files

%prep
%autosetup -p1 -n pytest-json-report-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/pytest_jsonreport
%{python_sitelib}/pytest_json_report-%{version}*-info

%changelog
* Wed Aug  2 2023 Daniel Garcia <daniel.garcia@suse.com>
- Add pytest-metadata-3.patch to make it compatible with
  pytest-metadata 3.0.0 gh#numirias/pytest-json-report#90
* Wed Nov 30 2022 Daniel Garcia <daniel.garcia@suse.com>
- Remove python_module macro definition
- Remove version_compatibility.patch
- Add python-py requirement
- Use autosetup instead of setup + patch
- More specific python_sitelib in %%files
- Update to 1.5.0:
  * deselected count in summary
  * Supported Python versions are now 3.7 - 3.10
  * #73: Fix collected count in summary (previously reported number of selected
    items)
  * #75: Handle xdist worker crashes gracefully
- 1.4.1:
  * Fix #69
- 1.4.0:
  * More control over terminal output verbosity (--json-report-verbosity)
- 1.3.0:
  * Lower pytest version requirement
  * Capture user properties (see record_property())
* Tue May 11 2021 Sean Marlow <sean.marlow@suse.com>
- Add version_compatibility.patch to enable package with older
  versions of pytest and flaky.
* Tue Apr 27 2021 Sean Marlow <sean.marlow@suse.com>
- Initial release (2021-04-27)
